Apache log4cxx Version @version@

Classes | Namespaces | Typedefs | Functions
sockethubappender.h File Reference

## Classes
class | SocketHubAppender
| Sends `LoggingEvent` objects to a set of remote log servers, usually a SocketNode. More...

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.
namespace | log4cxx::net

## Typedefs
typedef ObjectPtrT< ObjectOutputStream > | ObjectOutputStreamPtr

## Functions
| LOG4CXX_LIST_DEF (ObjectOutputStreamList, log4cxx::helpers::ObjectOutputStreamPtr)
| LOG4CXX_PTR_DEF (SocketHubAppender)